import { defineConfig } from '@umijs/max';

export default defineConfig({
  antd: {},
  access: {},
  model: {},
  dva: {},
  initialState: {},
  request: {},
  routes: [
    {
      path: '/',
      redirect: '/home',
    },
    {
      name: '首页',
      path: '/home',
      component: '@/Project/pages/home',
    },
  ],
  npmClient: 'yarn',
  proxy: {
    '/api': {
      target: 'http://47.96.12.136:8788/',
      // target: 'http://47.96.12.136:8888/',
      // target: 'http://120.55.44.4:8900/',
    },
  },
});

// axios配置
export const request = {
  // errorConfig: {
  //   errorHandler() {},
  //   errorThrower() {},
  // },
  // requestInterceptors: [],
  // responseInterceptors: [],
};
