import { trim } from '@/Engine/utils/format';
import { PageContainer } from '@ant-design/pro-components';
import { useModel } from '@umijs/max';
import styles from './index.less';
import { FuncMainState } from '@/Project/Functions/FuncMain';

const HomePage: React.FC = () => {
  const { name } = useModel('global');
  return (
    <PageContainer ghost>
      <div
        className={styles.container}
        onClick={() => {
          window.GT_APP.funcMain.changeState(FuncMainState.ProjectSelection);
        }}
      >
        HOME
      </div>
    </PageContainer>
  );
};

export default HomePage;
